Customer

General Information

KYC is a mandatory regulatory process to identify and validate customer identity, ensure compliance, and assess potential risks.

The KYC process requires:

  1. Registration Data Submission: Submit accurate and up-to-date registration data to Fiserv.
  2. KYC Approval: Customers must be approved before accessing Fiserv's PIX PSP services.

KYC has different approval or rejection criteria depending on the environment. Therefore, it is necessary to send the approved CNPJ(s) to the Fiserv team to facilitate development. After the client registration a KYC validation will happen asynchronously, and the result will be notified to the configured webhook.

POST /v1/client

Add a client.

Request Fields
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token used for authenticationyesstring (bearerToken)
address.citybodyClient's city (ISO 3166)yesstring
address.countrybodyClient's country (ISO 3166)yesstring
address.localitybodyClient's district (ISO 3166)yesstring
address.numberbodyClient's address numbernostring
address.postalCodebodyClient's ZIP Code addressyesstring
address.provincebodyClient's address Stateyesstring
address.streetbodyClient's address Streetyesstring
address.subNumberbodyClient's address Complementnostring
document.numberbodyDocument Numberyesstring
document.typebodyCNPJyesenum
contact.emailbodyClient's E-mailyesstring
contact.phonebodyClient's Phone numberyesstring
legalNamebodyClient's legal nameyesstring
tradeNamebodyClient's trade nameyesstring
averageTicketbodyAverage ticketyesdecimal
Request Example
{
  "address": {
    "city": "São Paulo",
    "country": "BR",
    "locality": "Vila Mariana",
    "number": "153",
    "postalCode": "04101-300",
    "province": "SP",
    "street": "Rua Vergueiro",
    "subNumber": "Suite 42"
  },
  "document": {
    "number": "60.664.745/0001-87",
    "type": "CNPJ"
  },
  "contact": {
    "email": "[email protected]",
    "phone": "+55 11 91234-5678"
  },
  "legalName": "Fiserv Inc",
  "tradeName": "Fiserv",
  "averageTicket": 100.00
}
Response Fields
NameDescriptionType
clientIdCustomer's unique IDstring
protocolIdAsync processing identifier (UUID) for the KYC validation. Use it to track the KYC progress via polling or webhook.string
Response Example
{
  "clientId": "bb41c1e6-654f-4263-83f4-36e37678f548",
  "protocolId": "Request protocol"
}

GET /v1/client/{clientId}

Search for information about the customer's "Know Your Customer" status.

Request Fields
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token for authenticationyesstring (bearerToken)
clientIdpathclient idyesstring
Response Fields
NameDescriptionType
kycStatusCustomer's KYC statusstring
kycReasonDisapprovalReason for KYC disapprovalstring
Response Example (Approved)
{
  "kycStatus": "Approved"
}
Response Example (Refused)
{
  "kycStatus": "Refused",
  "kycReasonDisapproval": "Falha de processamento"
}

Additional Information

KycStatus Values
ValueDescription
APPROVEDKYC validation completed successfully; customer is eligible to continue accreditation and open a PIX Account.
PENDINGCustomer registration was received, but KYC checks have not started yet.
PROCESSINGKYC validation is currently in progress with compliance and risk checks still running.
REFUSEDKYC validation was concluded with disapproval; customer is not eligible until identified issues are resolved.
ERRORKYC processing failed due to a technical or integration issue and should be retried or reviewed.
Kyc Reason Disapproval Values
Value
Falha de processamento
Reprovado por política interna Fiserv
Reprovado por razões cadastrais